%define name zapping
%define version 0.5.92
%define release 4mdk

Summary : TV viewer for GNOME
Name: %name
Version: %version
Release: %release
License: GPL
URL: http://zapping.sourceforge.net/
Group: Video
Source: %{name}-%{version}.tar.bz2
Source3:%{name}.png
BuildRoot: %_tmppath/%{name}-%{version}-buildroot
BuildRequires: libunicode-devel, libglade-devel
Requires: gtk+ >= 1.2.6
Requires: gnome-libs >= 1.0.40
Requires: libxml >= 1.7.3
Requires: libglade >= 0.9
Requires: gdk-pixbuf >= 0.8
Requires: libunicode >= 0.4
Requires: usermode
Requires: libjpeg, libpng


%description
Zapping is a TV viewer for GNOME that supports both Video4Linux 
and Video4Linux2. It's extensible through plugins based on GTK.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure
%make

%install
%makeinstall plugindir=%{buildroot}%{_libdir}/zapping/plugins
mkdir -p $RPM_BUILD_ROOT{%{_iconsdir}/{large,mini},%{_menudir}}
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/

cat > $RPM_BUILD_ROOT/usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/zapping"\
title="Zapping"\
longtitle="A TV viewer for gnome"\
needs="x11" icon="%{name}.png" \
section="Multimedia/Video"
EOF
(cd $RPM_BUILD_ROOT/%{_bindir}; ln -sf consolehelper zapping_setup_fb)

%{find_lang} %{name} 

%post
%update_menus
  
%postun
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS THANKS ChangeLog README README.plugins COPYING TODO BUGS
%config(noreplace) %{_sysconfdir}/pam.d/zapping_setup_fb
%config(noreplace) %{_sysconfdir}/security/console.apps/zapping_setup_fb
%_bindir/*
%{_sbindir}/*
%{_libdir}/zapping
%{_datadir}/gnome/apps/Multimedia/zapping.desktop
%{_datadir}/gnome/help/zapping
%{_datadir}/pixmaps/zapping
%{_datadir}/zapping
%{_iconsdir}/%{name}.png
%_menudir/*

%changelog
* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.92-4mdk
- Fix broken dependencies
- Add missing files and directories

* Tue Jun 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.92-3mdk
- fix {build,}requires (andre duclos)
- add icon

* Thu May 31 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.92-2mdk
- oops: put back the old group (confusion between menu group & rpm group :-( )

* Thu May 31 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.92-1mdk
- new version
- spec cleanups
: use more %%macros
- add requires
- pamification
- fix group 

* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.81-1mdk
- new in contribs
